Page MenuHomePhabricator

phab-01.wmflabs.org test instance's statuses are out of date
Closed, ResolvedPublic

Description

On http://phab-01.wmflabs.org, the 'Stalled' status is still named 'Needs Info'.

Event Timeline

Unicodesnowman raised the priority of this task from to Lowest.
Unicodesnowman updated the task description. (Show Details)
Unicodesnowman added a project: Phabricator.
Unicodesnowman changed Security from none to None.
Unicodesnowman added a subscriber: Unicodesnowman.
Qgil moved this task from To Triage to Ready to Go on the Phabricator board.Dec 6 2014, 2:11 PM

Hmm, I'm not admin on that one plus not sure if we ever pull the updated stuff in Puppet...

Qgil added a subscriber: Qgil.Jan 22 2015, 1:39 PM

Would it be good enough to just edit https://phab-01.wmflabs.org/config/edit/maniphest.statuses/ ?

Is there documentation anywhere about how to update the Labs instance using Puppet rules, i.e. where are the files that need to be modified?

Aklapper added a comment.EditedApr 25 2015, 8:32 PM

Currently the only admin on https://phab-01.wmflabs.org/ is "admin" (potentially also because that instance was re-set up at some point). And I admit (*cough*) that I am clueless who has access to that account (Yuvi wondered if maybe Negative24 or chase?).
If I manage to find out I'd like to also make AndreTest an admin over there.

In T76943#989926, @Qgil wrote:

Someone with access to that page (well, see above) could manually edit the JSON there.
Though I generally wonder how to set up pulling more recent code via Puppet there.
(Not really related to T85123 but still mentioning it here.)

Maybe phab08 has become a better playground nowadays...

In T76943#989926, @Qgil wrote:

Is there documentation anywhere about how to update the Labs instance using Puppet rules, i.e. where are the files that need to be modified?

https://www.mediawiki.org/wiki/Phabricator/Code#Setting_up is my best guess.

Aklapper closed this task as Resolved.Apr 27 2015, 9:25 PM
Aklapper claimed this task.

Got admin. Updated https://phab-01.wmflabs.org/config/edit/maniphest.statuses/ with the latest values, hence closing as fixed.

(That instance has quite some setup issues which need restarting the daemons via shell access; but well, that's another topic...)